LINUX.ORG.RU

Fedora 22 проблема установки плагина HPLIP

 , , , ,


2

3

Проблема подключения принтера HP CLJ 1600 из-за невозможности установки hp-plugin возникла с чистой установки Fedora 22, плагин скачивается, при попытке установить пишет следующее

Creating directory plugin_tmp
Verifying archive integrity... All good.
Uncompressing HPLIP 3.15.9 Plugin Self Extracting Archive............................................

HP Linux Imaging and Printing System (ver. 3.15.9)
Plugin Installer ver. 3.0

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.15.9
Installed HPLIP version: 3.15.9
Number of files to install: 38

/
и уходит в бесконечность. Может кто сталкивался и/или знает решение как решить проблему, поделитесь рецептом.

Отключи selinux и попоробуй еще раз.

setenforce 0 от рута.

Deleted ()
Ответ на: комментарий от i_gnatenko_brain

сделал, получил

Plug-in version: 3.15.7
Installed HPLIP version: 3.15.7
Number of files to install: 38
/
и до бесконечности.

Еще варианты?

StellzZz ★★ ()
Последнее исправление: StellzZz (всего исправлений: 1)

1. sh ./hplip-3.15.7-plugin.run --keep
2. cd ./plugin_tmp
3. открываем в редакторе plugin_install.py - переходим на 42 строку

if os.geteuid() == 0:
        print("hp-plugin should not be run as root/superuser. Exiting.")
        sys.exit(1)

комментируем эти строки
#if os.geteuid() == 0:
#        print("hp-plugin should not be run as root/superuser. Exiting.")
#        sys.exit(1)

и сохраняемся
4. в консоле из-под рута - python ./plugin_install.py

Парни из НР захотели из под обычного пользователя поконфигурить в папке /etc - ниже есть следующий код - config_file = '/etc/hp/hplip.conf'

Tsvetkov ()
Ответ на: комментарий от Tsvetkov

я это тоже проделывал, но получал

[root@localhost plugin_tmp]# python ./plugin_install.py

HP Linux Imaging and Printing System (ver. 3.15.7)
Plugin Installer ver. 3.0

Copyright (c) 2001-15 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Plug-in version: 3.15.7
Installed HPLIP version: 3.15.7
Number of files to install: 0

 
Done.
и http://storage9.static.itmages.ru/i/15/1013/h_1444759993_5599271_ee67de197c.png

соответственно принтер печатать отказывается. в 21 версии такого безобразия не было :-\

StellzZz ★★ ()
Ответ на: комментарий от StellzZz

На скрине что написано ? Переведем - плугин 3.15.7 уже установлен , хотите переустановить его ?
отказывается печатать - из-под обычного пользователя запустите hp-check - напишет какие пакеты не установлены - поставьте . у меня только python3-notify2 не стоит (лень вспоминать как его в прошлый раз поставил)
после установок требуемых пакетов - удаляете принтер - из консоли из под рута - запускаете hp-setup и ставите принтер - про плугин не спросит т.к. уже установлен и принтер должен норм поставить

хы я с 20 на 22 перепрыгнул - думал все кранты компу - не вроде после пары апдейтов отпустило

Tsvetkov ()
Ответ на: комментарий от Tsvetkov

спасибо, hp-check помог разобраться в чем беда. хоть от «requires proprietary plugin» избавится так и не удалось, но принтер печатает, а большего и не надо.

StellzZz ★★ ()
Ответ на: комментарий от Tsvetkov

Из под CentOS 6.5

Благодарю тоже помогло...Под Centos 6.5...промучался день hplip 3.15.11...пока файл по вашему совету не поменял. (Зачем так HP усложняет жизнь?)

irbis_al ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.